Bug 1478196 - Missing dependency: docutils
Missing dependency: docutils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-daemon (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 17:08 EDT by Adam Williamson
Modified: 2017-12-27 21:50 EST (History)
4 users (show)

See Also:
Fixed In Version: python-daemon-2.1.2-6.fc26 python-daemon-2.1.2-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-26 11:31:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-08-03 17:08:47 EDT
I think since Fedora 26, python-damon requires python-docutils. I updated an F25 system to F26, and after the upgrade, fedmsg-hub failed to start, with this error:

Jul 25 12:42:18 www.happyassassin.net systemd[1]: Started Generic fedmsg processing hub.
Jul 25 12:42:18 www.happyassassin.net python[1340]: detected unhandled Python exception in '/usr/bin/fedmsg-hub'
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]: Traceback (most recent call last):
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/bin/fedmsg-hub", line 11, in <module>
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     load_entry_point('fedmsg==0.19.0', 'console_scripts', 'fedmsg-hub')()
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 563, in load_entry_point
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     return get_distribution(dist).load_entry_point(group, name)
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2651, in load_entry_point
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     return ep.load()
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2304, in load
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     self.require(*args, **kwargs)
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2327, in require
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     items = working_set.resolve(reqs, env, installer, extras=self.extras)
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 857, in resolve
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]:     raise DistributionNotFound(req, requirers)
Jul 25 12:42:18 www.happyassassin.net fedmsg-hub[1340]: pkg_resources.DistributionNotFound: The 'docutils' distribution was not found and is required by python-daemon
Jul 25 12:42:18 www.happyassassin.net systemd[1]: fedmsg-hub.service: Main process exited, code=exited, status=1/FAILURE
Jul 25 12:42:18 www.happyassassin.net systemd[1]: fedmsg-hub.service: Unit entered failed state.
Jul 25 12:42:18 www.happyassassin.net systemd[1]: fedmsg-hub.service: Failed with result 'exit-code'.

After installing python-docutils, it starts up fine.
Comment 1 Fedora Update System 2017-12-17 17:25:52 EST
python-daemon-2.1.2-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-46fd883b55
Comment 2 Fedora Update System 2017-12-17 17:26:00 EST
python-daemon-2.1.2-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4daeefa917
Comment 3 Fedora Update System 2017-12-18 17:01:33 EST
python-daemon-2.1.2-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-46fd883b55
Comment 4 Fedora Update System 2017-12-18 17:37:31 EST
python-daemon-2.1.2-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4daeefa917
Comment 5 Fedora Update System 2017-12-26 11:31:14 EST
python-daemon-2.1.2-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2017-12-27 21:50:35 EST
python-daemon-2.1.2-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.